# -*- coding: utf-8 -*-

import time
import requests
import json
import uuid
import random
from config import config, env

def _post(url, data, **headers):
    print(url, headers)
    input_json_data = json.dumps(data, ensure_ascii=False, indent=2)
    print("="*60)
    print(input_json_data)
    print("-"*60)
    response = requests.post(config.get(env).get("url") + url, json=data, headers=headers)
    rspText = json.loads(response.text.encode("utf-8").decode("utf-8"))
    json_data = json.dumps(rspText, ensure_ascii=False, indent=2)
    print(json_data)
    print("="*60)
    return response.status_code

def _get(url, data, headers):
    print(url, headers)
    input_json_data = json.dumps(data, ensure_ascii=False, indent=2)
    print("="*60)
    print(input_json_data)
    print("-"*60)
    response = requests.get(config.get(env).get("url") + url, json=data, headers=headers)
    rspText = json.loads(response.text.encode("utf-8").decode("utf-8"))
    json_data = json.dumps(rspText, ensure_ascii=False, indent=2)
    print(json_data)
    print("="*60)
    return response.status_code

def post(method, data, **headers):
    return _post(method, data, **headers)

def get(method, data, **headers):
    return _get(method, data, **headers)
